Skip to content
Your Company Documentation Demo

Start typing to search all documentation.

Search the documentationFind a guide, feature, endpoint, or error across every section.

Delete a webhook subscription

Your Company APIWebhook subscriptions

DELETEhttps://api.your-company.example/v1/webhook-subscriptions/{subscription_id}

AuthenticationRequires bearerAuth.

Description

Permanently stops delivery to a webhook subscription.

Parameters

subscription_idpathstringrequired
Webhook subscription identifier.

Responses

204The subscription was deleted. No response body is returned.
401The API key is missing, malformed, expired, or revoked.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "unauthorized",
    "message": "Provide a valid bearer API key.",
    "request_id": "req_01JAZA0P8M"
  }
}
403The API key does not have permission for this action.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "forbidden",
    "message": "This API key does not have the required permission.",
    "request_id": "req_01JAZA0P8M"
  }
}
404The resource was not found in the authenticated Workspace.application/json
errorobjectrequired
Object fields
codestringrequired
Stable machine-readable error code.
messagestringrequired
Human-readable summary.
request_idstringrequired
Identifier to include in a support ticket.
detailsobject[]
Array item fields
fieldstringrequired
Request field with an issue.
issuestringrequired
Human-readable validation problem.
Example response
{
  "error": {
    "code": "not_found",
    "message": "The requested resource was not found.",
    "request_id": "req_01JAZA0P8M"
  }
}

Docs created for you by SaturnDocs